org.apache.poi.hslf.usermodel

## Interface HSLFShapeContainer

- All Superinterfaces:
    java.lang.Iterable<HSLFShape>, ShapeContainer<HSLFShape,HSLFTextParagraph>
  All Known Implementing Classes:
    HSLFGroupShape, HSLFMasterSheet, HSLFNotes, HSLFSheet, HSLFSlide, HSLFSlideMaster, HSLFTable, HSLFTitleMaster

      public interface HSLFShapeContainer
      extends ShapeContainer<HSLFShape,HSLFTextParagraph>

  Common interface for shape containers, e.g. sheets or groups of shapes

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HSLFAutoShape` | `createAutoShape()` create a new shape with a predefined geometry and add it to this shape container
    `HSLFConnectorShape` | `createConnector()` create a connector
    `HSLFFreeformShape` | `createFreeform()` create a new shape with a custom geometry
    `HSLFGroupShape` | `createGroup()` create a group of shapes belonging to this container
    `HSLFObjectShape` | `createOleShape(PictureData pictureData)` Create a new OLE object shape with the given pictureData as preview image
    `HSLFPictureShape` | `createPicture(PictureData pictureData)` create a picture belonging to this container
    `HSLFTextBox` | `createTextBox()` create a text box

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createTable, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### createAutoShape

          HSLFAutoShape createAutoShape()

      Description copied from interface: `ShapeContainer`
      create a new shape with a predefined geometry and add it to this shape container
      Specified by:
        `createAutoShape` in interface `ShapeContainer<HSLFShape,HSLFTextParagraph>`

    - #### createFreeform

          HSLFFreeformShape createFreeform()

      Description copied from interface: `ShapeContainer`
      create a new shape with a custom geometry
      Specified by:
        `createFreeform` in interface `ShapeContainer<HSLFShape,HSLFTextParagraph>`

    - #### createTextBox

          HSLFTextBox createTextBox()

      Description copied from interface: `ShapeContainer`
      create a text box
      Specified by:
        `createTextBox` in interface `ShapeContainer<HSLFShape,HSLFTextParagraph>`

    - #### createConnector

          HSLFConnectorShape createConnector()

      Description copied from interface: `ShapeContainer`
      create a connector
      Specified by:
        `createConnector` in interface `ShapeContainer<HSLFShape,HSLFTextParagraph>`

    - #### createGroup

          HSLFGroupShape createGroup()

      Description copied from interface: `ShapeContainer`
      create a group of shapes belonging to this container
      Specified by:
        `createGroup` in interface `ShapeContainer<HSLFShape,HSLFTextParagraph>`

    - #### createPicture

          HSLFPictureShape createPicture(PictureData pictureData)

      Description copied from interface: `ShapeContainer`
      create a picture belonging to this container
      Specified by:
        `createPicture` in interface `ShapeContainer<HSLFShape,HSLFTextParagraph>`

    - #### createOleShape

          HSLFObjectShape createOleShape(PictureData pictureData)

      Description copied from interface: `ShapeContainer`
      Create a new OLE object shape with the given pictureData as preview image
      Specified by:
        `createOleShape` in interface `ShapeContainer<HSLFShape,HSLFTextParagraph>`
      Parameters:
        `pictureData` - the preview image

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.